Bug 1514609 (CVE-2017-15116) - CVE-2017-15116 kernel: Null pointer dereference in rngapi_reset function
Summary: CVE-2017-15116 kernel: Null pointer dereference in rngapi_reset function
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-15116
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1490437 (view as bug list)
Depends On: 1519088 1485815 1519089 1519090 1519091 1519092 1519239
Blocks: 1490442 1564094
TreeView+ depends on / blocked
 
Reported: 2017-11-17 21:22 UTC by Pedro Sampaio
Modified: 2019-09-29 14:25 UTC (History)
48 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel's random number generator API. A null pointer dereference in the rngapi_reset function may result in denial of service, crashing the system.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:31:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0676 None None None 2018-04-10 08:09:33 UTC
Red Hat Product Errata RHSA-2018:1062 None None None 2018-04-10 09:33:10 UTC

Description Pedro Sampaio 2017-11-17 21:22:50 UTC
A flaw was found in the kernel random number generator api. A null pointer dereference in in rngapi_reset function may result in denial of service.  Crashing the system.

References:

https://bugzilla.redhat.com/show_bug.cgi?id=1485815

Upstream patch:
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=8fded5925d0a733c46f8d0b5edd1c9b315882b1d

Comment 2 Wade Mealing 2017-11-30 06:14:49 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat
Enterprise Linux 5 and 6 and kernel-alt.

This issue affects the Linux kernel packages as shipped with Red Hat
Enterprise Linux 7 and MRG-2.

Future Linux kernel updates for the respective releases may address this issue.

Comment 4 Pedro Sampaio 2017-11-30 13:41:57 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1519239]

Comment 5 Pedro Sampaio 2017-11-30 13:42:54 UTC
Acknowledgments:

Name: ChunYu Wang (Red Hat)

Comment 8 Marcus Meissner 2017-12-12 10:36:32 UTC
do you have any reference to a patch for this bug?

Comment 9 Wade Mealing 2017-12-13 04:59:14 UTC
As per comment #0, I believe it was fixed in the upstream refactor. It does not affect current upstream.

The simple fix is to put a check in rngapi_reset checking for a slen of 0 then setting seed to null.

Comment 10 Wade Mealing 2018-04-06 06:48:24 UTC
*** Bug 1490437 has been marked as a duplicate of this bug. ***

Comment 11 errata-xmlrpc 2018-04-10 08:09:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0676 https://access.redhat.com/errata/RHSA-2018:0676

Comment 12 errata-xmlrpc 2018-04-10 09:32:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:1062 https://access.redhat.com/errata/RHSA-2018:1062


Note You need to log in before you can comment on or make changes to this bug.